(* Программа io копирует стандартный ввод *)
(* в стандартный вывод *)
uses linux;

const 
  SIZE=512;
var
  nread:longint;
  buf:array [0..SIZE-1] of byte;
begin
  nread := fdread (0, buf, SIZE);
  while nread > 0 do
  begin
    fdwrite (1, buf, nread);
    nread := fdread (0, buf, SIZE);
  end;
  halt(0);
end.
